<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var Animal=funtion(){
            // propiedad no estatica
           this.peso=0;
           //propiedad estatica
           Animal.pelo="si";
           //metodo no estatico
            this.comer=function(){
            	  console.log('NAÑ');
            };

            //metodo estatico
            Animal.estatico=funcion(){

            	console.log("este es un elemento de la clase");
            };
		};
          var leon=new Animal()
          /*Produce error ya que es un metodo de la clase y no del objeto leon.estatico();*/

            Animal.estatico();
            console.log(Animal.pelo);

            /*Esto esta vacio porque es un elemento de la clase y no del objeto console.log(leon.pelo)

	</script>
</head>
<body>
	
</body>
</html>